const fs = require('fs');
const path = require('path');
const schemasRootPath = path.join(__dirname, '../schemas/');
const extendedSchemaPath = path.join(schemasRootPath, './schema-extended.json');
const baseSchemaPath = path.join(schemasRootPath, './schema-base.json');
const extendedSchema = require(extendedSchemaPath);
const vscodeSettingsToRemove = [
    'enableSyncByDefault',
    'authenticationSessionId',
    'homeIndicator',
];
// delete internal properties
for (let propertyName of vscodeSettingsToRemove) {
    delete extendedSchema.properties.vscodeSettings.properties[propertyName];
}
const { required } = extendedSchema.properties.vscodeSettings;
extendedSchema.properties.vscodeSettings.required = required.filter((propertyName) => {
    return !vscodeSettingsToRemove.includes(propertyName);
});
fs.writeFileSync(baseSchemaPath, JSON.stringify(extendedSchema, null, 4));