const fs = require('fs');
const path = require('path');

const { compileFromFile } = require('json-schema-to-typescript');

const schemasRootPath = path.join(__dirname, '../schemas/');
const extendedSchemaPath = path.join(schemasRootPath, './schema-extended.json');
const baseSchemaPath = path.join(schemasRootPath, './schema-base.json');

const typesRootPath = path.join(__dirname, '../types/');
const baseSchemaTypesPath = path.join(typesRootPath, 'schema-base.d.ts');
const extendedSchemaTypesPath = path.join(typesRootPath, 'schema-extended.d.ts');

if (!fs.existsSync(typesRootPath)){
    fs.mkdirSync(typesRootPath);
}

compileFromFile(baseSchemaPath)
    .then(ts => fs.writeFileSync(baseSchemaTypesPath, ts));

compileFromFile(extendedSchemaPath)
    .then(ts => fs.writeFileSync(extendedSchemaTypesPath, ts));
