/* tslint:disable */
/**
 * This file was automatically generated by json-schema-to-typescript.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source JSONSchema file,
 * and run json-schema-to-typescript to regenerate this file.
 */

/**
 * Visual Studio Codespaces unique partner name.
 */
export type PartnerName = string;
/**
 * Where to redirect to in case the credentials expire.
 */
export type ManagementPortalUrl = string;
/**
 * The Cascade JWT token.
 */
export type CascadeToken = string;
/**
 * The expiration timestamp of the token. [UTC timestamp in milliseconds]
 */
export type Expiration = number;
/**
 * The token to perform git operations.
 */
export type Token = string;
/**
 * The host of the token. [https://www.git-scm.com/docs/gitcredentials]
 */
export type Host = string;
/**
 * The path of the git token. Can be omitted or set to `*`. [https://www.git-scm.com/docs/gitcredentials]
 */
export type Path = string;
/**
 * An explanation about the purpose of this instance.
 */
export type Credentials = GitCredentials[];
/**
 * The Codespace id (GUID).
 */
export type CodespaceId = string;
/**
 * The VSCode dogfood channel.
 */
export type VscodeChannel = "stable" | "insider";
/**
 * VSCode extension id
 */
export type Id = string;
/**
 * Type of the VSCode extension.
 */
export type Type = "ui" | "workspace" | "web";
/**
 * The list of the VSCode extensions to preinstall.
 */
export type DefaultExtensions = TheFirstAnyOfSchema[];
/**
 * Id of the auth provider.
 */
export type Type1 = string;
/**
 * The id of the session.
 */
export type Id1 = string;
/**
 * The session access token.
 */
export type AccessToken = string;
/**
 * A token permission scope.
 */
export type TheFirstAnyOfSchema2 = string;
/**
 * List of the permission scopes the token was issued with.
 */
export type Scopes = TheFirstAnyOfSchema2[];
/**
 * Default sessions for the built-in VSCode Auth Provider.
 */
export type DefaultAuthSessions = TheFirstAnyOfSchema1[];
/**
 * Home indicator icon.
 */
export type Icon = string;
/**
 * Home indicator link.
 */
export type Href = string;
/**
 * Home indicator title.
 */
export type Title = string;
/**
 * The flag to enable the Settings Sync by default.
 */
export type EnableSyncByDefault = boolean;
/**
 * Authentication session id to use as default for the Settings Sync Service. Should match an `id` form the `defaultAuthSessions` list.
 */
export type AuthenticationSessionId = string;

/**
 * The JSON schema to build/validate the Visual Studio Codespaces platform authorization payload.
 */
export interface VSCodespacesPlatformInfo {
  partnerName: PartnerName;
  managementPortalUrl: ManagementPortalUrl;
  cascadeToken: CascadeToken;
  credentials: Credentials;
  codespaceId: CodespaceId;
  vscodeSettings: VscodeSettings;
}
/**
 * Credentials to perform git operations.
 */
export interface GitCredentials {
  expiration?: Expiration;
  token: Token;
  host: Host;
  path?: Path;
}
/**
 * An explanation about the purpose of this instance.
 */
export interface VscodeSettings {
  vscodeChannel?: VscodeChannel;
  defaultSettings?: DefaultSettings;
  defaultExtensions?: DefaultExtensions;
  defaultAuthSessions?: DefaultAuthSessions;
  homeIndicator?: HomeIndicator;
  enableSyncByDefault?: EnableSyncByDefault;
  authenticationSessionId?: AuthenticationSessionId;
}
/**
 * The VSCode workbench settings.
 */
export interface DefaultSettings {
  [k: string]: unknown;
}
/**
 * Extension id.
 */
export interface TheFirstAnyOfSchema {
  id: Id;
  kind?: Type;
}
/**
 * A VSCode Auth Provider session.
 */
export interface TheFirstAnyOfSchema1 {
  type: Type1;
  id: Id1;
  accessToken: AccessToken;
  scopes: Scopes;
}
/**
 * An explanation about the purpose of this instance.
 */
export interface HomeIndicator {
  icon: Icon;
  href: Href;
  title: Title;
}
